POST api/MediwaveProgramStepTypeApi?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediWaveProgramStepTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| id | globally unique identifier |
None. |
|
| name | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "7af9e1de-e715-44f7-bd8d-d6614f22054e",
"name": "sample string 4"
}
application/xml, text/xml
Sample:
<mediwave_program_step_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>7af9e1de-e715-44f7-bd8d-d6614f22054e</id> <name>sample string 4</name> </mediwave_program_step_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"071628f6-a096-40b6-918c-f82e4539c1f1"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">071628f6-a096-40b6-918c-f82e4539c1f1</guid>